=== debian/changelog ===
kid3 (2.0.1-2) unstable; urgency=low

  * Do not build the package with libtunepimp.
    Closes: #657018
  * Add missing build-arch and build-indep debian/rules target.
  * Add doc-base registration for the kid3-qt package.
  * Repair broken common symlinks in the kid3 package and add an lintian
    overwrite for it (false positive).
    Closes: #583333

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 25 Jan 2012 16:07:08 +0100

kid3 (2.0.1-1) unstable; urgency=low

  * New upstream release.

  [ Patrick Matthäi ]
  * Adjust build system.
  * Add build dependency xsltproc.

  [ Ana Beatriz Guerrero Lopez ]
  * Some more adjustments to the build system taken from upstream's deb/
  * directory.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sun, 13 Nov 2011 16:34:13 +0100
