## kid3 2.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,12 +9,12 @@
 # Windows:
 # set INCLUDE=%MSYSDIR%\local\include
 # set LIB=%MSYSDIR%\local\lib
-# cmake -G "MinGW Makefiles" -D CMAKE_BUILD_TYPE=Release -D CMAKE_INSTALL_PREFIX= -D WITH_TUNEPIMP=OFF ..\kid3
+# cmake -G "MinGW Makefiles" -D CMAKE_BUILD_TYPE=Release -D CMAKE_INSTALL_PREFIX= -D WITH_CHROMAPRINT=OFF ..\kid3
 # mingw32-make
 # cpack
 #
 # Mac OS X:
-# cmake -G "Unix Makefiles" -D CMAKE_BUILD_TYPE=Release -D CMAKE_INSTALL_PREFIX= -D WITH_TUNEPIMP=OFF ../kid3
+# cmake -G "Unix Makefiles" -D CMAKE_BUILD_TYPE=Release -D CMAKE_INSTALL_PREFIX= -D WITH_CHROMAPRINT=OFF ../kid3
 # make
 # cpack
 
@@ -25,7 +25,7 @@
 set(WITH_ID3LIB ON CACHE BOOL "build with id3lib")
 set(WITH_VORBIS ON CACHE BOOL "build with Ogg/Vorbis")
 set(WITH_FLAC ON CACHE BOOL "build with FLAC")
-set(WITH_TUNEPIMP ON CACHE BOOL "build with TunePimp")
+set(WITH_CHROMAPRINT ON CACHE BOOL "build with Chromaprint")
 set(WITH_DBUS ON CACHE BOOL "build with QtDBus")
 set(WITH_PHONON ON CACHE BOOL "build with Phonon")
 set(WITH_GCC_PCH OFF CACHE BOOL "enable precompiled headers")
@@ -37,9 +37,11 @@
 
 # Version information
 set(CPACK_PACKAGE_VERSION_MAJOR 2)
-set(CPACK_PACKAGE_VERSION_MINOR 0)
-set(CPACK_PACKAGE_VERSION_PATCH 1)
-set(RELEASE_YEAR 2011)
+set(CPACK_PACKAGE_VERSION_MINOR 1)
+set(CPACK_PACKAGE_VERSION_PATCH 0)
+set(CPACK_PACKAGE_VERSION "${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}")
+#set(CPACK_PACKAGE_VERSION "git20120422")
+set(RELEASE_YEAR 2012)
 
 if (WITH_GCC_PCH)
 include(GccPchMacros.cmake)
@@ -56,10 +58,6 @@
 # Set variables used to install shared libraries
 set(WITH_BINDIR ${BIN_INSTALL_DIR})
 set(WITH_LIBDIR ${LIB_INSTALL_DIR})
-
-if (BUILD_SHARED_LIBS AND __KDE_HAVE_GCC_VISIBILITY)
-  message(WARNING "Use -D__KDE_HAVE_GCC_VISIBILITY=OFF to build KDE shared libraries")
-endif (BUILD_SHARED_LIBS AND __KDE_HAVE_GCC_VISIBILITY)
 
 else (WITH_KDE)
 
@@ -107,13 +105,48 @@
 set(CFG_TRANSLATIONSDIR ${CMAKE_INSTALL_PREFIX_SLASH}${WITH_TRANSLATIONSDIR})
 
 cmake_minimum_required(VERSION 2.8)
-set(_QT4_COMPONENTS QtCore QtGui QtNetwork QtXml)
-if (WIN32)
-  set(QT_USE_QTMAIN TRUE)
-endif (WIN32)
-set(QT_USE_QTDBUS ${WITH_DBUS})
-find_package(Qt4 COMPONENTS ${_QT4_COMPONENTS} REQUIRED)
-include (${QT_USE_FILE})
+string(REGEX MATCH "^.*qt5" _qt5Dir "${QT_QMAKE_EXECUTABLE}")
+if (_qt5Dir)
+  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fPIC")
+  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fPIC")
+  set(Qt5Core_DIR "${_qt5Dir}/lib/cmake/Qt5Core")
+  set(Qt5Gui_DIR "${_qt5Dir}/lib/cmake/Qt5Gui")
+  set(Qt5Widgets_DIR "${_qt5Dir}/lib/cmake/Qt5Widgets")
+  set(Qt5Network_DIR "${_qt5Dir}/lib/cmake/Qt5Network")
+  set(Qt5Xml_DIR "${_qt5Dir}/lib/cmake/Qt5Xml")
+  set(Qt5LinguistTools_DIR "${_qt5Dir}/lib/cmake/Qt5LinguistTools")
+  set(QT_INCLUDES)
+  set(QT_DEFINITIONS)
+  set(QT_LIBRARIES)
+  foreach (_qt5Component Core Gui Widgets Network Xml LinguistTools)
+    find_package("Qt5${_qt5Component}")
+    set(QT_INCLUDES ${QT_INCLUDES} ${Qt5${_qt5Component}_INCLUDE_DIRS})
+    set(QT_DEFINITIONS ${QT_DEFINITIONS} ${Qt5${_qt5Component}_DEFINITIONS})
+    set(QT_LIBRARIES ${QT_LIBRARIES} ${Qt5${_qt5Component}_LIBRARIES})
+  endforeach ()
+  set(QT_LIBRARY_DIR "${_qt5Dir}/lib")
+  set(QT_INCLUDE_DIR "${_qt5Dir}/include")
+
+  macro(qt4_add_translation)
+    qt5_add_translation(${ARGV})
+  endmacro(qt4_add_translation)
+
+  macro(qt4_wrap_cpp)
+    qt5_wrap_cpp(${ARGV})
+  endmacro(qt4_wrap_cpp)
+
+  macro(qt4_add_resources)
+    qt5_add_resources(${ARGV})
+  endmacro(qt4_add_resources)
+else (_qt5Dir)
+  set(_QT4_COMPONENTS QtCore QtGui QtNetwork QtXml)
+  if (WIN32)
+    set(QT_USE_QTMAIN TRUE)
+  endif (WIN32)
+  set(QT_USE_QTDBUS ${WITH_DBUS})
+  find_package(Qt4 COMPONENTS ${_QT4_COMPONENTS} REQUIRED)
+  include (${QT_USE_FILE})
+endif (_qt5Dir)
 include (CheckCXXSourceCompiles)
 find_package(Perl REQUIRED)
 
@@ -162,6 +195,10 @@
 if (WIN32)
 link_directories($ENV{LIB})
 endif (WIN32)
+
+if (BUILD_SHARED_LIBS)
+  add_definitions(-DKID3_SHARED)
+endif (BUILD_SHARED_LIBS)
 
 ### Check for taglib
 set(TAGLIB_LIBRARIES)
@@ -275,34 +312,3 @@
     set(CMAKE_REQUIRED_INCLUDES ${CMAKE_REQUIRED_INCLUDES} ${ID3LIB_INCLUDE_DIR})
     set(_CMAKE_REQUIRED_DEFINITIONS_TMP ${CMAKE_REQUIRED_DEFINITIONS})
     set(CMAKE_REQUIRED_DEFINITIONS ${CMAKE_REQUIRED_DEFINITIONS} ${ID3LIB_DEFINITIONS})
-    CHECK_CXX_SOURCE_COMPILES("#include <id3/globals.h>\nint main() {\n  Mp3_Headerinfo info;\n  info.vbr_bitrate = 0;\n  return 0;\n}\n" ID3LIB_VBR_SUPPORT_FOUND)
-    set(CMAKE_REQUIRED_LIBRARIES ${_CMAKE_REQUIRED_LIBRARIES_TMP})
-    set(CMAKE_REQUIRED_INCLUDES ${_CMAKE_REQUIRED_INCLUDES_TMP})
-    set(CMAKE_REQUIRED_DEFINITIONS ${_CMAKE_REQUIRED_DEFINITIONS_TMP})
-
-    if(NOT ID3LIB_VBR_SUPPORT_FOUND)
-      set(HAVE_NO_ID3LIB_VBR 1)
-    endif(NOT ID3LIB_VBR_SUPPORT_FOUND)
-  else(ID3LIB_INCLUDE_DIR AND ID3LIB_LIBRARIES)
-    message(FATAL_ERROR "Could not find id3lib")
-  endif(ID3LIB_INCLUDE_DIR AND ID3LIB_LIBRARIES)
-endif(WITH_ID3LIB)
-
-### Check for TunePimp
-set(TUNEPIMP_LIBRARIES)
-set(HAVE_TUNEPIMP 0)
-if(WITH_TUNEPIMP)
-  find_path(TUNEPIMP_INCLUDE_DIR tunepimp/tp_c.h)
-  if(NOT TUNEPIMP_INCLUDE_DIR)
-    find_path(TUNEPIMP_INCLUDE_DIR tunepimp-0.5/tp_c.h)
-  endif(NOT TUNEPIMP_INCLUDE_DIR)
-  find_library(TUNEPIMP_LIBRARIES NAMES tunepimp)
-  if(TUNEPIMP_INCLUDE_DIR AND TUNEPIMP_LIBRARIES)
-    message(STATUS "TunePimp found: ${TUNEPIMP_LIBRARIES}")
-    CHECK_LIBRARY_EXISTS(${TUNEPIMP_LIBRARIES} tp_SetFileNameEncoding "" TUNEPIMP_FOUND_VERSION_4)
-    CHECK_LIBRARY_EXISTS(${TUNEPIMP_LIBRARIES} tr_GetPUID "" TUNEPIMP_FOUND_VERSION_5)
-    if(TUNEPIMP_FOUND_VERSION_5)
-      set(HAVE_TUNEPIMP 5)
-    elseif(TUNEPIMP_FOUND_VERSION_4)
-      set(HAVE_TUNEPIMP 4)
-    else(TUNEPIMP_FOUND_VERSION_5)
