=== src/CMakeLists.txt ===
--- 
+++ 
@@ -4,10 +4,11 @@
   else (WITH_KDE)
     set(_includeRegex "#include <[Qcp]")
   endif (WITH_KDE)
+  set(_additionalFlags "-fno-exceptions -D_REENTRANT -DQT_NO_EXCEPTIONS -DQT_NO_STL -fvisibility=hidden -fvisibility-inlines-hidden")
   if (CMAKE_BUILD_TYPE MATCHES Debug)
-    set(_additionalFlags "-g -DQT_DEBUG -D_REENTRANT")
+    set(_additionalFlags "${_additionalFlags} -g -DQT_DEBUG")
   else (CMAKE_BUILD_TYPE MATCHES Debug)
-    set(_additionalFlags "-O3 -DQT_NO_DEBUG -D_REENTRANT -DNDEBUG")
+    set(_additionalFlags "${_additionalFlags} -O3 -DQT_NO_DEBUG -DNDEBUG")
   endif (CMAKE_BUILD_TYPE MATCHES Debug)
   set(CMAKE_CXX_FLAGS
     "${CMAKE_CXX_FLAGS} -Winvalid-pch -include ${CMAKE_BINARY_DIR}/allsys.h")
