=== src/core/CMakeLists.txt ===
--- 
+++ 
@@ -8,6 +8,11 @@
   set(core_MOC_HDRS ${core_MOC_HDRS} ${${_subdir}_MOC_HDRS})
 endforeach()
 
+add_definitions(-DKID3_BUILD_CORE_LIB)
+if (WIN32 AND HAVE_CHROMAPRINT)
+  add_definitions(-DCHROMAPRINT_NODLL)
+endif (WIN32 AND HAVE_CHROMAPRINT)
+
 if (WITH_GCC_PCH)
   ADD_KID3_PCH_RULE(core_SRCS)
 endif (WITH_GCC_PCH)
@@ -17,7 +22,7 @@
 add_library(kid3-core ${core_SRCS} ${core_GEN_MOC_SRCS})
 target_link_libraries(kid3-core
   ${BASIC_LIBRARIES} ${ID3LIB_LIBRARIES} ${TAGLIB_LIBRARIES} ${VORBIS_LIBRARIES}
-  ${FLAC_LIBRARIES} ${TUNEPIMP_LIBRARIES} ${MP4V2_LIBRARIES}
+  ${FLAC_LIBRARIES} ${CHROMAPRINT_LIBS} ${MP4V2_LIBRARIES}
 )
 
 if (BUILD_SHARED_LIBS)
