=== src/gui/CMakeLists.txt ===
--- 
+++ 
@@ -10,6 +10,8 @@
   set(gui_SRCS ${gui_SRCS} ${${_subdir}_SRCS})
   set(gui_MOC_HDRS ${gui_MOC_HDRS} ${${_subdir}_MOC_HDRS})
 endforeach()
+
+add_definitions(-DKID3_BUILD_GUI_LIB)
 
 if (WITH_GCC_PCH)
   ADD_KID3_PCH_RULE(gui_SRCS)
