=== src/gui/app/CMakeLists.txt ===
--- 
+++ 
@@ -17,7 +17,7 @@
   if (APPLE)
     # Icon and properties for .plist file
     set(MACOSX_BUNDLE_ICON_FILE kid3.icns)
-    set(MACOSX_BUNDLE_SHORT_VERSION_STRING "${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}")
+    set(MACOSX_BUNDLE_SHORT_VERSION_STRING ${CPACK_PACKAGE_VERSION})
     set(MACOSX_BUNDLE_GUI_IDENTIFIER "net.sourceforge.kid3")
     set(MACOSX_BUNDLE_COPYRIGHT "Copyright (c) 2003-${RELEASE_YEAR} Urs Fleisch")
     set_source_files_properties(kid3.icns
@@ -36,6 +36,7 @@
   endif (APPLE)
 
   if (UNIX AND NOT APPLE)
+    find_program(GZIP_PROGRAM gzip)
     # install desktop file and icons for Linux
     add_custom_command(OUTPUT kid3-qt.desktop
       COMMAND ${PERL_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/fixdesktop.pl
@@ -45,9 +46,19 @@
     add_custom_target("desktop-file" ALL DEPENDS kid3-qt.desktop)
     install(FILES ${CMAKE_CURRENT_BINARY_DIR}/kid3-qt.desktop
       DESTINATION "${WITH_DATAROOTDIR}/applications")
-    install(FILES hisc-app-kid3.svgz
-            DESTINATION "${WITH_DATAROOTDIR}/icons/hicolor/scalable/apps"
-            RENAME kid3-qt.svgz)
+    if (GZIP_PROGRAM)
+      add_custom_command(OUTPUT kid3-qt.svg
+        COMMAND ${GZIP_PROGRAM} -cd ${CMAKE_CURRENT_SOURCE_DIR}/hisc-app-kid3.svgz >kid3-qt.svg
+        DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/hisc-app-kid3.svgz
+      )
+      set(kid3_SRCS ${kid3_SRCS} ${CMAKE_CURRENT_BINARY_DIR}/kid3-qt.svg)
+      install(FILES ${CMAKE_CURRENT_BINARY_DIR}/kid3-qt.svg
+              DESTINATION "${WITH_DATAROOTDIR}/icons/hicolor/scalable/apps")
+    else (GZIP_PROGRAM)
+      install(FILES hisc-app-kid3.svgz
+              DESTINATION "${WITH_DATAROOTDIR}/icons/hicolor/scalable/apps"
+              RENAME kid3-qt.svgz)
+    endif (GZIP_PROGRAM)
     install(FILES hi48-app-kid3.png
             DESTINATION "${WITH_DATAROOTDIR}/icons/hicolor/48x48/apps"
             RENAME kid3-qt.png)
@@ -120,4 +131,15 @@
 
   endif (APPLE OR WIN32)
 
+  if (WIN32)
+    # Unfortunately, the binutils which come with the gcc-4.4.0 in the MinGW
+    # for Qt generate an executable which cannot be analyzed with dumpbin.
+    # This happens when Kid3 is linked with libav (used with Chromaprint).
+    # Therefore, the dependencies for kid3.exe are not added to the bundle.
+    # This workaround adds the missing files.
+    install(FILES "${QT_BINARY_DIR}/QtNetwork4.dll"
+                  "${QT_BINARY_DIR}/QtXml4.dll"
+            DESTINATION ${WITH_BINDIR})
+  endif (WIN32)
+
 endif (WITH_KDE)
