=== debian/changelog ===
kid3 (2.1-2) unstable; urgency=low

  * Remove patch 01-gcc4.7-ftbfs, it was merged with 2.1 to another location.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 14 May 2012 18:27:44 +0200

kid3 (2.1-1) unstable; urgency=low

  * New upstream release.
    - Add new build dependencies libchromaprint-dev, libavformat-dev,
      libavcodec-dev and pkg-config.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 13 May 2012 18:09:20 +0200

kid3 (2.0.1-4) unstable; urgency=low

  * Add patch 01-gcc4.7-ftbfs to fix a FTBFS with GCC 4.7.
    Closes: #667227

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 04 Apr 2012 16:32:21 +0200

kid3 (2.0.1-3) unstable; urgency=low

  * Bump Standards-Version to 3.9.3 (no changed needed).
  * Wrap all debian/control fields.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 24 Feb 2012 19:22:47 +0100
