=== debian/control ===
--- 
+++ 
@@ -13,17 +13,22 @@
  libflac++-dev (>= 1.1.2),
  libvorbis-dev,
  libtag1-dev,
+ libchromaprint-dev,
+ libavformat-dev,
+ libavcodec-dev,
  hardening-wrapper,
  docbook-utils,
+ pkg-config,
  xsltproc
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://kid3.sourceforge.net/
 Vcs-Svn: svn://svn.debian.org/pkg-kde/kde-extras/kid3/trunk/
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/kde-extras/kid3/?op=log
 
 Package: kid3
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends},
+ ${misc:Depends}
 Description: KDE MP3 ID3 tag editor
  With Kid3, an ID3 tag editor for KDE you can:
   * Edit ID3v1.1 tags in your MP3 files
@@ -48,7 +53,8 @@
 
 Package: kid3-qt
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends},
+ ${misc:Depends}
 Description: Audio tag editor
  With Kid3, an audio tag editor you can:
   * Edit ID3v1.1 tags in your MP3 files
